/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "libSBML C++ API", "index.html", [
    [ "Overview", "index.html", null ],
    [ "Core libSBML", "group__core.html", null ],
    [ "Level 3 Extensions", "usergroup0.html", [
      [ "Hierarchical Model Composition", "group__comp.html", null ],
      [ "Distributions", "group__distrib.html", null ],
      [ "Flux Balance Constraints", "group__fbc.html", null ],
      [ "Groups", "group__groups.html", null ],
      [ "Multistate/Multicomp. Species", "group__multi.html", null ],
      [ "Layout", "group__layout.html", null ],
      [ "Render", "group__render.html", null ],
      [ "Qualitative Models", "group__qual.html", null ],
      [ "Spatial Processes", "group__spatial.html", null ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", null ],
        [ "Typedefs", "functions_type.html", null ],
        [ "Related Symbols", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", "globals_func" ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", "globals_type" ],
        [ "Enumerations", "globals_enum.html", null ],
        [ "Enumerator", "globals_eval.html", "globals_eval" ],
        [ "Macros", "globals_defs.html", null ]
      ] ]
    ] ],
    [ "Examples", "libsbml-example-files.html", null ]
  ] ]
];

var NAVTREEINDEX =
[
"_a_s_t_base_plugin_8cpp.html",
"_analytic_geometry_8h.html",
"_c_s_g_set_operator_8cpp.html#a22aa52b49fbf439e394afe9cb2825b17",
"_comp_s_b_m_l_error_8h.html#ac44f9ef8a150cee1759825082751b5f7a747ed0cdfb869dda58f9d27c8d8a3eec",
"_cubic_bezier_8cpp.html",
"_expression_analyser_8h.html",
"_fbc_s_base_plugin_8cpp.html#af1f26fd71ae5ecf8e66c1ca9724f636f",
"_global_style_8cpp.html#a8b417460b9686fc00d68edbee8b0bbd9",
"_key_value_pair_8cpp.html#a5b206e1402a5491f86df81af6da78148",
"_layout_s_b_m_l_error_8h.html#ae320fa3395c59b29175212cb4fcc544cacf7872a71a71ae2e0ccb30d30230457d",
"_list_of_key_value_pairs_8h.html",
"_multi_extension_8h.html#a54a694d9d4ceb85711785c5ff879e1c8aa3917296e808efcd40358fe8722ae77f",
"_multi_species_type_8cpp.html#aa624a13e04377150c6c74a36edbd59b2",
"_qual_model_plugin_8cpp.html",
"_render_extension_8cpp.html#a3c481cd9fc7e3966e240961153b76251",
"_render_s_b_m_l_error_8h.html#af56a5bf20c783087ab496e95f80ade03a35a6bf0881e2c3f68217d51dd90ca521",
"_s_b_m_l_error_8h.html#a64521d2629dd339aea5b194d546c3627a026df99448c06369514bf1b806b03696",
"_s_b_m_l_error_8h.html#a64521d2629dd339aea5b194d546c3627a94b9ed230f923a93347ce7246854e3a6",
"_s_b_m_l_namespaces_8h.html#a58e0214b74c211f8b317826a9a692e98",
"_spatial_extension_8h.html#a034046365169875664354ec272eecf14",
"_spatial_s_b_m_l_error_8h.html#a7fd9cd42a71d7ccafc9b5a3ee0d82432a1786026cdb9a449d6b39cad7534c27d7",
"_spatial_s_b_m_l_error_8h.html#a7fd9cd42a71d7ccafc9b5a3ee0d82432ad3999c23e3eef034e8302c014fa7544e",
"_species_type_instance_8cpp.html#a7192d592da1ed846a8aa0280453b1abd",
"_uncert_span_8cpp.html#a1f255d8c81306e6db43bba53419fb906",
"_x_m_l_output_stream_8h.html",
"class_adjacent_domains.html#aa197c1c8a34df2cbd05a58f6cbc41841",
"class_algebraic_rule.html#a4fbf6701023075573bd76fa0bd276291",
"class_analytic_geometry.html#ad8294af44f06db0a84ae40abb3dc208a",
"class_assignment_rule.html#a725b51bc8897b57bdc51ecc1fe342d37",
"class_binding_site_species_type.html#a031d1da6a39bae8afd5201677fb32c02",
"class_boundary.html#a7e1725f1b98e08e54485ec52404d579a",
"class_bounding_box.html#a21766ad77868a914ec0780653d0e924f",
"class_c_s_g_homogeneous_transformation.html#ab3428c9a9705777183a0ded66981b504",
"class_c_s_g_object.html#a63c3300078519ceb6397bc2b2263ddee",
"class_c_s_g_rotation.html#a07ec2702ebbdf35aef0a0626b0ffd52f",
"class_c_s_g_scale.html#a7e1725f1b98e08e54485ec52404d579a",
"class_c_s_g_set_operator.html#aff2c95c1639b91a2b0835ab8540094f5",
"class_c_s_g_translation.html#a8a342a0f8387842fb6700c50c4c43344",
"class_c_v_term.html#a9a62cf4b78acff2fa5fe467878a97471",
"class_comp_base.html#a5fd4be8061a6a0338ebc2b8018ffbd46",
"class_comp_s_b_m_l_document_plugin.html#aa2ba27dc0f8acc30b6a99496a26e1c0a",
"class_compartment_glyph.html#a07fe8dd8b43718fbb3d0df8481c72058",
"class_compartment_mapping.html#aa9a0611fba68fb2d56db3565425f65a0",
"class_compartment_type.html#a8012eba52b904a1fcfb2a483eef94810",
"class_conversion_properties.html#a32c004d5c521e2b84358f9e8bded1035",
"class_cubic_bezier.html#a6eee96ee206a55837c0d7b936f20f14d",
"class_date.html#a62b4e88d7c6876db4804a8de21357342",
"class_default_values.html#a5ac94845b3bb96874cc9cc9f8e74a7ab",
"class_delay.html#a776e0b06ec3f0dd2bfdafeec6c9d7cc2",
"class_deletion.html#af5a5d3e75db9775e99968499b91a4987",
"class_dimensions.html#a944bad557986b43d8328d5727d1aa890",
"class_distrib_s_b_m_l_document_plugin.html#a6712bfb4148805bac5d5914137be77d4",
"class_domain_type.html#a4fbf6701023075573bd76fa0bd276291",
"class_ellipse.html#a9487d644ee50ea235a7a2a9772cd470a",
"class_event.html#ae41c8fec0894f46a03248ec0e9c50709",
"class_external_model_definition.html#a7a9574c886d54be2db67210bbd8fcf18",
"class_fbc_association.html#a0b02092069159bda9b7ff14ecacfca5d",
"class_fbc_model_plugin.html#ad3791cedca7b73e3d8c8f406839bb039",
"class_fbc_s_b_m_l_document_plugin.html#aa68a44490f07dcea859437b9f6e8951d",
"class_flux_bound.html#aa197c1c8a34df2cbd05a58f6cbc41841",
"class_function_definition.html#a5b691dbe91b18c61ffb4a9b260a84040",
"class_gene_association.html#a07ec2702ebbdf35aef0a0626b0ffd52f",
"class_gene_product.html#abd78c4290e103245ce49b92b5e229375",
"class_gene_product_ref.html#a7b43de27cb29136954af762fa91d4842",
"class_general_glyph.html#af39e4ea4da79eda5748689888eb081c4",
"class_geometry_definition.html#a2da81b22af670c12375835a6f992c5db",
"class_global_render_information.html#a997486d0a21de5d8d07bd764cd6cb21c",
"class_gradient_base.html#a031d1da6a39bae8afd5201677fb32c02",
"class_gradient_stop.html#a936f753a9032913c569dafa3642d8252",
"class_graphical_primitive1_d.html#a33da5a2b0b03cbe6af69730869e35212",
"class_graphical_primitive2_d.html#a852e0bd8bfc64342750faf5cbccec65e",
"class_groups_extension.html#a59934841d8bf516f91a65f58b81656bc",
"class_image.html#ab6c1daef8e35886d50910980750cc366",
"class_initial_assignment.html#a70abee08c67db2cba0c5ed40af9aa1c0",
"class_interior_point.html#a1531f729b16689aba3fb7f3567202a7c",
"class_intra_species_reaction.html#aa197c1c8a34df2cbd05a58f6cbc41841",
"class_kinetic_law.html#a253b8d724dd9cb8d4cdfcf3f5176dfd2",
"class_layout.html#a68958316d6c7d6bbcb5de581c18b94da",
"class_layout_species_reference_plugin.html#ae278c9a451f870b4b0472dece4cfd075",
"class_line_segment.html#a21766ad77868a914ec0780653d0e924f",
"class_linear_gradient.html#a973c76cb7a7370cb221911591a73460a",
"class_list_of_adjacent_domains.html#a07fe8dd8b43718fbb3d0df8481c72058",
"class_list_of_analytic_volumes.html#a997486d0a21de5d8d07bd764cd6cb21c",
"class_list_of_c_s_g_objects.html#a39e0febad1c149b4a8455662afd845b4",
"class_list_of_color_definitions.html#ad7463b70032c344b42454f0291e2e204",
"class_list_of_compartment_references.html#a8e3e54c62bc34c720d96b421c9798dde",
"class_list_of_compartments.html#a478ad1e0e2bb2dc27a9de6ab9bac4bf2",
"class_list_of_coordinate_components.html#a031d1da6a39bae8afd5201677fb32c02",
"class_list_of_curve_elements.html#a9fb99b60d2f2f0427e818187cc6f6ad9",
"class_list_of_domain_types.html#a5be0fea41e2a10bde63aff4e2f33928a",
"class_list_of_domains.html#af0a70ab6f715e912c6431072c4339f2c",
"class_list_of_event_assignments.html#a8e455a93329e407b4b1d8ad307c95a22",
"class_list_of_external_model_definitions.html#a433a4821048662538abfbe5759bbfed2",
"class_list_of_fbc_associations.html#aee8d8b8cb1ae5980d228174073fc5abc",
"class_list_of_flux_objectives.html#a9b9dcb83f0b3da9466817e3d32f197f0",
"class_list_of_function_terms.html#a4df4f196b8e11d08013c436c689465a5",
"class_list_of_gene_products.html#a02a6692a180f9281c071b77f908dce0e",
"class_list_of_geometry_definitions.html#a9fb99b60d2f2f0427e818187cc6f6ad9",
"class_list_of_global_styles.html#a22880555aecfd69d73ace9566ca3366f",
"class_list_of_gradient_definitions.html#ac1db4c7f15e643a3cb27fe3b85e22f05",
"class_list_of_graphical_objects.html#a67d87d36d7999249f6dd36a1469b0b49",
"class_list_of_in_species_type_bonds.html#a11d9c02a3690d9a13362835ef0133125",
"class_list_of_initial_assignments.html#ac3b1bbfe22bad0dbc577b61c529f37bb",
"class_list_of_interior_points.html#a776e0b06ec3f0dd2bfdafeec6c9d7cc2",
"class_list_of_layouts.html#a118148398f5c626bf9697887296f97b8",
"class_list_of_line_endings.html#aad43f3efb39b3c56ec0db212b6e97cf4",
"class_list_of_local_parameters.html#a75b1541bd854ad7edfe0aff79ab3231f",
"class_list_of_local_styles.html",
"class_list_of_members.html#a944bad557986b43d8328d5727d1aa890",
"class_list_of_multi_species_types.html#a478ad1e0e2bb2dc27a9de6ab9bac4bf2",
"class_list_of_objectives.html#ae57cbc2da2e34a8c829e42743e68dd85",
"class_list_of_outputs.html#a8c576e7dfaa4651bca4a782c9e09ac20",
"class_list_of_parameters.html#a478ad1e0e2bb2dc27a9de6ab9bac4bf2",
"class_list_of_parametric_objects.html#aee8d8b8cb1ae5980d228174073fc5abc",
"class_list_of_possible_species_feature_values.html#a9fb99b60d2f2f0427e818187cc6f6ad9",
"class_list_of_reaction_glyphs.html#a60f1d849c7f806d075836b21d322150f",
"class_list_of_reference_glyphs.html#a118148398f5c626bf9697887296f97b8",
"class_list_of_replaced_elements.html#ac9f9a3703526cd1fb929778df3050692",
"class_list_of_sampled_fields.html#a7b7b199563437a7977cc13cabb21ef63",
"class_list_of_species.html#a1e89a7890f2fb291f1ba4c38866d1dcc",
"class_list_of_species_feature_types.html#ad3be0bf5891c2b6bf4340cce12b8630f",
"class_list_of_species_features.html#a7c54e7e1b9dffa0eaee2cfc68feec907",
"class_list_of_species_reference_glyphs.html#a2da81b22af670c12375835a6f992c5db",
"class_list_of_species_references.html#adb8c800163c108a27880bd644d7767ad",
"class_list_of_species_type_component_map_in_products.html#a90e4753ab8d4611987557b4d64129529",
"class_list_of_species_types.html#a4df4f196b8e11d08013c436c689465a5",
"class_list_of_text_glyphs.html#a07ec2702ebbdf35aef0a0626b0ffd52f",
"class_list_of_transitions.html#ab4de53b00ecec3e135fcb9d36fb1bf3b",
"class_list_of_uncertainties.html#a5bca707ae547873a5dea083038c8ccda",
"class_list_of_units.html#a050779a94ecdb2d73d7edfef73bc1e55",
"class_list_of_user_defined_constraint_components.html#aa78ef1ca7e89aa9be18302622aad221f",
"class_local_parameter.html#a60f1d849c7f806d075836b21d322150f",
"class_local_render_information.html#aac93855c11d3e29c120fad461d6cab80",
"class_member.html#a11d9c02a3690d9a13362835ef0133125",
"class_mixed_geometry.html#aa78ef1ca7e89aa9be18302622aad221f",
"class_modifier_species_reference.html#af0a70ab6f715e912c6431072c4339f2c",
"class_multi_species_plugin.html#a9d5a422cf6973d70984cec3ec4597d1c",
"class_multi_validator.html",
"class_ordinal_mapping.html#a8a342a0f8387842fb6700c50c4c43344",
"class_outward_binding_site.html#a48cc3cad4446deeb3adc42498ae2faf0",
"class_parameter.html#aee8d8b8cb1ae5980d228174073fc5abc",
"class_parametric_object.html#a7a9574c886d54be2db67210bbd8fcf18",
"class_point.html#af5f81661e68eb1317cd248e5d2bf0deb",
"class_port.html#a33897f0c6bf974b8a2418589360ae916",
"class_possible_species_feature_value.html#ad0a14de158d4139b4c28130eb7d8aa60",
"class_qualitative_species.html#a118148398f5c626bf9697887296f97b8",
"class_radial_gradient.html#a7a9574c886d54be2db67210bbd8fcf18",
"class_rate_rule.html#ad8195e91304799d65e2a198352a49217",
"class_reaction_glyph.html#a3042ff24009443597b181295d570196d",
"class_rectangle.html#a69c66e9efaa9f3724a3254802330ede6",
"class_reference_glyph.html#ab3428c9a9705777183a0ded66981b504",
"class_render_cubic_bezier.html#ac3a963a5a076c6852728f7a6b509aef4",
"class_render_extension.html#a19fdaeb6fd3eb27da6c8aeb5261761c9",
"class_render_group.html#abd78c4290e103245ce49b92b5e229375",
"class_render_information_base.html#af81950cc48587eb64edd80f7823de80c",
"class_render_point.html#ae431ca4044e40e1fe8e0ff4136dce838",
"class_replaced_element.html#a11d9c02a3690d9a13362835ef0133125",
"class_replacing.html#a75b1541bd854ad7edfe0aff79ab3231f",
"class_rule.html#adbff50c6c73c044a5c8e29e6b5dcefc6",
"class_s_b_m_l_document_plugin.html#aa2ba27dc0f8acc30b6a99496a26e1c0a",
"class_s_b_m_l_internal_validator.html#a3156b722c7bb3548ec874f6e43b2dc6c",
"class_s_b_m_l_units_converter.html#a4b1034ee31f5dd3049d4a7784a80a959",
"class_s_base.html#adb8c800163c108a27880bd644d7767ad",
"class_s_base_ref.html#af0a70ab6f715e912c6431072c4339f2c",
"class_sampled_field_geometry.html#a478ad1e0e2bb2dc27a9de6ab9bac4bf2",
"class_sampled_volume.html#adb8c800163c108a27880bd644d7767ad",
"class_spatial_parameter_plugin.html#a20f21bc972f3ee724924adf058e0e9a3",
"class_spatial_reaction_plugin.html#ac030f347378ca7c19e2d1323beeb1342",
"class_species.html#a30ac3f72984fb7e41ae5dc88f2a0504d",
"class_species_feature.html#a8a342a0f8387842fb6700c50c4c43344",
"class_species_feature_value.html#a33da5a2b0b03cbe6af69730869e35212",
"class_species_glyph.html#aee7af61232740d089bf78af9aee0acbe",
"class_species_reference_glyph.html#a865ce842fde43dfbf807043616722ac2",
"class_species_type_component_index.html#a33897f0c6bf974b8a2418589360ae916",
"class_species_type_component_map_in_product.html#ae8317d5157b70e4f1bc68e33e5c84001",
"class_stoichiometry_math.html#aa197c1c8a34df2cbd05a58f6cbc41841",
"class_sub_list_of_species_features.html#a3b3e8b92c7d41b212b7b41a380f349fe",
"class_submodel.html#abff44a8f670640603e02e2e9eaa6eca7",
"class_text.html#ac3b1bbfe22bad0dbc577b61c529f37bb",
"class_transformation.html#a60f1d849c7f806d075836b21d322150f",
"class_transformation2_d.html#ae8317d5157b70e4f1bc68e33e5c84001",
"class_transition.html#a8a342a0f8387842fb6700c50c4c43344",
"class_uncert_parameter.html#a14876bd1b05a660593ed2cf46aece3ee",
"class_uncert_span.html#a709bfbf4b4a538c7466a000d36fd7fe6",
"class_uncertainty.html#aef0ea49f9a3ad67d72edb2c1cf92ad82",
"class_unit_definition.html#a40dba8a849dbda05d3f9f42000119dc5",
"class_user_defined_constraint.html#adb8c800163c108a27880bd644d7767ad",
"class_x_m_l_error.html#a8b360fd8ae9a55b7f977d3d3134f734e",
"class_x_m_l_token.html#a8d1a6af2872acb75f6f32dd91018c48d",
"globals_f.html",
"sbmlfwd_8h.html#a97087abb9a4cc5ba86486da9dd71488d"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';